首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python 学习手册
Python Cookbook
Python 基础教程
Python Sites
PyPI - Python Package Index
http://www.simple-is-better.com/
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
V2EX  ›  Python

Debian 开发者呼吁淘汰 Python 2

  •  
  •   Tianpu · 2015-04-17 21:42:14 +08:00 · 6406 次点击
    这是一个创建于 1695 天前的主题,其中的信息可能已经有所发展或是发生改变。

    http://www.solidot.org/story?sid=43749

    问:哪个语言不怕升级?
    答:PHP

    42 回复  |  直到 2015-04-20 18:54:43 +08:00
        1
    Hyperion   2015-04-17 21:52:36 +08:00 via Android
    5.2/3 到5.4 时候,简直是地狱...

    php还有比如laravel 4.2 不支持5.4 的问题,然后整体降级到4.1.
        2
    leeyanjie   2015-04-17 21:57:51 +08:00
    等主流linux发行版默认自带python3时,我就换到python3
        3
    twor2   2015-04-17 21:59:34 +08:00   ♥ 5
    python 的优雅 全部被 2 和 3 两个婊子给毁了
        4
    crazyxin1988   2015-04-17 22:06:38 +08:00
    别了
    以后等着直接升级4就好了
        5
    limbo0   2015-04-17 22:13:09 +08:00
    历史包袱不是那么容易卸掉的
        6
    loading   2015-04-17 22:26:54 +08:00 via iPhone
    一看就知道是骗钱帖。

    我都打算换go或者node了。
    反正python写gui也还不到哪去~
        7
    lazykar   2015-04-17 22:35:12 +08:00
    还好,我从python3开始学的,对python2没感觉
        8
    yakczh   2015-04-17 22:39:21 +08:00
    python2的编码上浪费了很多时间,但是后台daemon除了java还只能选python
        9
    VirgilMing   2015-04-17 22:49:10 +08:00
    UTF-8。谁用谁知道。
        10
    donghouhe   2015-04-17 22:57:32 +08:00 via Android
    我支持2.7
        11
    kaneg   2015-04-17 22:57:45 +08:00 via iPhone
    公司还在用jython2.5的泪奔而过
        12
    cplus   2015-04-17 23:21:19 +08:00
    @kaneg 我们还在用python 2.4
        13
    liluo   2015-04-18 00:01:40 +08:00
    Python 3 第一个 Release 是在 2008 年.

        14
    Huadb   2015-04-18 01:34:10 +08:00
    @twor2 既然说到婊子,那么谁不爱过?
        15
    jamiesun   2015-04-18 01:37:44 +08:00
    生产力是硬道理
        16
    roychan   2015-04-18 01:41:41 +08:00
    我们老师非常反对这一令人厌恶的历史包袱,我也是。
    很多库就不兼容 Python 3
        17
    seki   2015-04-18 01:53:26 +08:00
    一开始用的 3,后来要用 mayavi 只能切换到 2,被 utf-8 问题搞得略头疼
        18
    whatisnew   2015-04-18 01:54:53 +08:00
    库们表示,悲催。。。
        19
    mengzhuo   2015-04-18 07:58:04 +08:00 via iPhone
    一堆人不看看库兼容性列表就瞎bb
        20
    mengzhuo   2015-04-18 08:00:31 +08:00 via iPhone   ♥ 1
    一堆人不看看库兼容性列表就瞎bb

    https://python3wos.appspot.com/

    你的项目要用红的 那就用2
    很多人总以为有银弹
    难道你们希望10年后还用python2?
        21
    qq2549112   2015-04-18 08:53:24 +08:00
    支持3啊,严重鄙视现在还推崇python2的人
        22
    mringg   2015-04-18 09:07:49 +08:00
    我其实感觉都差不多,但是python2目前来说还是主流,所以说,目前,我还是愿意使用python2
        23
    TangMonk   2015-04-18 09:29:22 +08:00
    ruby大法好
        24
    NeoAtlantis   2015-04-18 10:00:03 +08:00 via Android
    开始听说python不错开始学,后来被一群乱七八糟的库玩死了,处理个时间一会是time一会是datetime的……然后os.popen, os.popen2, subprocess.popen, subprocess.call, subprocess.check_output...现在不怎么写了,所以偶尔捡起来时看文档还得花半天……各种命名……getxxxxyyyy, get_xxxx_yyyy, [email protected]#*;:,./…!
        25
    eric6356   2015-04-18 11:07:00 +08:00
    urllib
    urllib2
    urllib3
        26
    clino   2015-04-18 11:50:09 +08:00
    其实之前升版本改api的时候如果一点一点来就好了
    跳崖式升级还是会遭到用户唾弃的...
        27
    ChiangDi   2015-04-18 11:53:15 +08:00   ♥ 1
    说好的一件事只有一种最好的解决方法,结果是分裂的最厉害的。
        28
    imn1   2015-04-18 12:04:04 +08:00
    @Hyperion
    5.2和5.3是并行开发的,不是升级关系吧
        29
    zrp1994   2015-04-18 12:14:14 +08:00
    为什么说PHP不怕升级呢?
        30
    likexian   2015-04-18 12:18:02 +08:00
    @mengzhuo supervisor gevent 就让一堆人不得不用2
        31
    yaxin   2015-04-18 12:20:36 +08:00   ♥ 1
    @zrp1994 PHP一般都是向后兼容的
        32
    jedyu   2015-04-18 12:33:31 +08:00
    3又没有让我非要升级的,我为啥要放弃用的好好的2
        33
    Hyperion   2015-04-18 13:04:37 +08:00   ♥ 1
    @zrp1994 因为PHP 历代都是增加特性,当然除了标弃函数和特性。

    @imn1 所以我说的是 “5.2/3" 到 5.4 的时候啦…


    5.4 删除的一堆标弃函数,总有几个神经病还一直在用,导致到5.4 时候总有问题,这才是最恶心的。


    说到底,py3 和py2 到底有什么好争的?我至今也没想明白。
        34
    Kabie   2015-04-18 13:20:00 +08:00
    09年就开始用Python3……主要还是缺少Killer feature
        35
    zhengkai   2015-04-18 17:19:17 +08:00   ♥ 1
    python 2 跟 python 3 共存的局面不会持续多久了

    以后会是 python 2 跟 python 4 共存……
        36
    fasling   2015-04-18 17:27:32 +08:00
    @mengzhuo 要是在红的旁边标注一个替代品就好了
        37
    lidashuang   2015-04-18 21:01:48 +08:00
    为啥ruby社区一有最新版,几天就用上了
        38
    JQ   2015-04-18 21:02:43 +08:00
    UTF-8 真的很痛苦
        39
    tmqhliu   2015-04-19 13:08:14 +08:00
    还好 ruby 1.8 到 1.9 升得早
        40
    bravecarrot   2015-04-19 14:54:45 +08:00
    编码问题真心蛋疼
        41
    lincanbin   2015-04-19 23:25:58 +08:00
    Python不搞平缓过渡是自己作死
        42
    fy   2015-04-20 18:54:43 +08:00
    卧槽!!!debian!!!!这画风不对!!
    我一直觉得debian的stable源还在5年前,即使是testing源也就是两三年前……
    然后这帮人在讨论着这个?
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2269 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 29ms · UTC 08:13 · PVG 16:13 · LAX 00:13 · JFK 03:13
    ♥ Do have faith in what you're doing.